From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/pv/
Date: Tue, 3 Dec 2024 11:14:41 +0000 (UTC) [thread overview]
Message-ID: <1733224435.8124fb70ba4c03bff5acaddd0fdcf04f59ed05d6.sam@gentoo> (raw)
commit: 8124fb70ba4c03bff5acaddd0fdcf04f59ed05d6
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 3 11:10:20 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Dec 3 11:13:55 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8124fb70
sys-apps/pv: add 1.9.7
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-apps/pv/Manifest | 2 ++
sys-apps/pv/pv-1.9.7.ebuild | 61 +++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 63 insertions(+)
diff --git a/sys-apps/pv/Manifest b/sys-apps/pv/Manifest
index 034ca3c33409..b5fbe4203d33 100644
--- a/sys-apps/pv/Manifest
+++ b/sys-apps/pv/Manifest
@@ -6,3 +6,5 @@ DIST pv-1.8.9.tar.gz 330129 BLAKE2B a8e8b567a0e9eed9fa9b938b5ef52623adda8907b26d
DIST pv-1.8.9.tar.gz.asc 691 BLAKE2B 24640b3ba4d3306175f6e63d5efe86bc4a29da3b822417098f66892c0c59ddab713b202ebcc6e8fbe97de104b0583221ee12b4ef72adb2402912e3f799403e92 SHA512 ad4791b094caacc05485ee817c3162c65110c46bd7feaf06617fcf7d42c0d407e5696cf35ff881aa19340a13d02e04183c5e4db51cc68bb443fa524d9573ce57
DIST pv-1.9.0.tar.gz 369918 BLAKE2B 802dafdd2e354887d8ca73f42787e86941081aaf62cafc7032ee2fdd299683c1e8a764c4262c5ec7596bd6221d59435ce7b340614783cc72f241735a460e5013 SHA512 1085387fdf645ab14b4b83b006dbc09018e2e3cb89a585cc6b9d5c03e947ffd84d300fb0698bb8e4dfc918aa25f9453897a394791a6aa9caefa278e21b9acf35
DIST pv-1.9.0.tar.gz.asc 691 BLAKE2B 86b99c718935afdbbf2419b1363a385d1ca8afe81bc7fabea8b4b48dbe1c439a7cd4bb93a106608cb6916f9503fc0f32253867771f9b78feb24f5218d2f49f8f SHA512 d8fe557b690aa828a3a2af9b74397d00ab1b00b444890220b79991aa5161ec8cc5ca3701b37950ec07bc3382f6cbc1578bf6b2be1966c34313827c1eeaa79fc7
+DIST pv-1.9.7.tar.gz 381407 BLAKE2B 2f026d187264900ac24c644c66e0a6ed14b097e76eab8795f6549bce9362e13ebeef476e2dbd0e4ddcfaf4fed251ad8fee74de199807b4bd0b1251b7e8cee7dd SHA512 3a5fcc18ea2fb1566cb68b6b6b8638a489d42f7f38fd1ddcf60898809ade5dbe618ba3ef91b2dd246b2bfcbbc0b5b088f3c5a1b384741e88336fe55c514fb396
+DIST pv-1.9.7.tar.gz.asc 691 BLAKE2B 46cdbb0a3357727476d57bfc9394f1ddfdcae46bcc92c0d6f87050543a8fcf23664b24b562f5d847cb3c69d73d35435fc9b16ddfce0c026ae67822ff6fc74307 SHA512 f27e0eba60292a7171d11e3cdc35dc7a10d7088223f3ed216fa2659093ce8552e9a301172af23c8845cd3e284e21c036557a8cd565c1efc46bfef70acdc85259
diff --git a/sys-apps/pv/pv-1.9.7.ebuild b/sys-apps/pv/pv-1.9.7.ebuild
new file mode 100644
index 000000000000..89cf567ffe13
--- /dev/null
+++ b/sys-apps/pv/pv-1.9.7.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/pv.asc
+inherit linux-info toolchain-funcs verify-sig
+
+DESCRIPTION="Pipe Viewer: a tool for monitoring the progress of data through a pipe"
+HOMEPAGE="https://www.ivarch.com/programs/pv.shtml https://codeberg.org/a-j-wood/pv"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://codeberg.org/a-j-wood/pv"
+ inherit autotools git-r3
+else
+ SRC_URI="
+ https://www.ivarch.com/programs/sources/${P}.tar.gz
+ verify-sig? ( https://www.ivarch.com/programs/sources/${P}.tar.gz.txt -> ${P}.tar.gz.asc )
+ "
+
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="debug nls"
+
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-pv )"
+
+pkg_setup() {
+ if use kernel_linux; then
+ CONFIG_CHECK="~SYSVIPC"
+ ERROR_SYSVIPC="You will need to enable CONFIG_SYSVIPC in your kernel to use the --remote option."
+ linux-info_pkg_setup
+ fi
+}
+
+src_prepare() {
+ default
+
+ # Valgrind isn't reliable within sandbox.
+ cat <<-EOF > tests/run-valgrind.sh || die
+ #!/bin/sh
+ exit 77
+ EOF
+ chmod +x tests/run-valgrind.sh || Die
+
+ [[ ${PV} == 9999 ]] && eautoreconf
+}
+
+src_configure() {
+ tc-export AR
+
+ econf \
+ $(use_enable debug debugging) \
+ $(use_enable nls)
+}
+
+src_test() {
+ emake -Onone check
+}
next reply other threads:[~2024-12-03 11:14 UTC|newest]
Thread overview: 122+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-12-03 11:14 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-10 5:55 [gentoo-commits] repo/gentoo:master commit in: sys-apps/pv/ Sam James
2025-03-16 12:20 Sam James
2025-03-16 12:20 Sam James
2025-03-16 12:19 Sam James
2025-03-16 12:19 Sam James
2025-03-16 12:19 Sam James
2025-03-16 12:19 Sam James
2025-03-14 16:48 Sam James
2025-03-14 5:26 Sam James
2025-02-11 8:39 Sam James
2025-01-25 17:46 Sam James
2025-01-25 17:46 Sam James
2025-01-18 7:11 Arthur Zamarin
2025-01-12 14:49 Sam James
2025-01-12 14:10 Sam James
2025-01-12 13:42 Sam James
2025-01-12 13:42 Sam James
2025-01-12 13:42 Sam James
2025-01-12 13:16 Sam James
2024-12-28 12:24 Sam James
2024-12-23 3:22 Sam James
2024-12-21 3:08 Sam James
2024-12-13 11:45 Sam James
2024-12-03 11:14 Sam James
2024-11-22 10:20 Sam James
2024-11-22 1:52 Sam James
2024-11-21 21:08 Arthur Zamarin
2024-11-21 21:08 Arthur Zamarin
2024-11-21 16:35 Sam James
2024-11-21 16:35 Sam James
2024-11-21 16:35 Sam James
2024-10-17 3:53 Sam James
2024-09-05 3:09 Sam James
2024-08-30 8:02 Sam James
2024-08-29 6:34 Jakov Smolić
2024-08-29 5:23 Jakov Smolić
2024-08-29 5:10 Jakov Smolić
2024-08-29 5:10 Jakov Smolić
2024-08-29 5:10 Jakov Smolić
2024-08-29 5:10 Jakov Smolić
2024-07-19 6:05 Sam James
2024-07-19 6:05 Sam James
2024-06-25 4:46 Sam James
2024-06-25 4:45 Sam James
2024-06-25 4:41 Sam James
2024-06-25 4:07 Sam James
2024-06-25 4:07 Sam James
2024-06-25 3:59 Sam James
2024-06-25 3:57 Sam James
2024-06-25 3:51 Sam James
2024-05-16 5:56 WANG Xuerui
2024-05-16 5:56 WANG Xuerui
2024-04-23 20:59 Sam James
2024-03-04 12:16 Sam James
2024-01-24 4:57 Ionen Wolkens
2024-01-23 4:17 Sam James
2024-01-17 2:46 Ionen Wolkens
2024-01-17 2:46 Ionen Wolkens
2023-12-31 3:49 Sam James
2023-12-29 22:43 Sam James
2023-12-29 21:41 Sam James
2023-12-29 19:22 Arthur Zamarin
2023-12-29 17:14 Arthur Zamarin
2023-12-29 17:12 Arthur Zamarin
2023-12-28 3:43 Sam James
2023-12-26 16:37 Sam James
2023-12-24 11:08 Sam James
2023-12-22 7:55 Arthur Zamarin
2023-12-15 7:14 Sam James
2023-12-15 7:06 Sam James
2023-12-15 6:52 Sam James
2023-12-15 6:52 Sam James
2023-11-20 9:28 Sam James
2023-11-17 13:58 Sam James
2023-09-26 2:56 Sam James
2023-09-26 2:55 Sam James
2023-09-02 12:04 Sam James
2023-09-02 12:04 Sam James
2023-09-02 12:04 Sam James
2023-09-02 12:04 Sam James
2023-09-02 12:04 Sam James
2023-09-02 12:04 Sam James
2023-09-02 12:04 Sam James
2023-09-02 12:04 Sam James
2023-08-01 5:47 Sam James
2023-08-01 5:47 Sam James
2023-08-01 5:47 Sam James
2023-07-28 11:07 Sam James
2023-07-28 1:35 Sam James
2023-07-17 21:56 Sam James
2022-01-24 19:19 Sam James
2021-10-14 17:13 Georgy Yakovlev
2021-10-14 17:13 Georgy Yakovlev
2021-10-14 17:13 Georgy Yakovlev
2021-10-14 17:13 Georgy Yakovlev
2021-10-14 17:13 Georgy Yakovlev
2021-10-14 16:38 Sam James
2021-10-14 5:56 Agostino Sarubbo
2021-10-14 3:25 Sam James
2021-10-14 3:25 Sam James
2021-09-08 7:18 Sam James
2021-09-08 0:18 Sam James
2021-01-06 15:26 Fabian Groffen
2020-12-29 23:35 Sam James
2020-11-07 20:37 Sergei Trofimovich
2020-11-07 20:34 Sergei Trofimovich
2020-11-07 20:22 Sergei Trofimovich
2020-11-04 6:22 Sam James
2020-11-04 6:07 Sam James
2020-11-04 3:21 Sam James
2020-11-03 22:05 Georgy Yakovlev
2019-05-02 9:58 Jeroen Roovers
2018-10-29 22:05 Jeroen Roovers
2018-04-06 11:05 Fabian Groffen
2018-01-06 15:19 Ulrich Müller
2017-07-30 9:08 Jeroen Roovers
2017-02-26 15:39 Michael Weber
2017-01-14 11:47 Jeroen Roovers
2017-01-14 11:47 Jeroen Roovers
2016-12-19 11:07 Tobias Klausmann
2016-12-17 10:23 Aaron Bauman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1733224435.8124fb70ba4c03bff5acaddd0fdcf04f59ed05d6.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox